summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/binutils/update.sh
diff options
context:
space:
mode:
authorjdp <jdp@FreeBSD.org>1998-03-12 02:55:43 +0000
committerjdp <jdp@FreeBSD.org>1998-03-12 02:55:43 +0000
commit0ba671bfd1becf7cf771dfcca1a9cbd9017460bf (patch)
treea30cde08c068ec272f48baf6384e8b6967165f82 /gnu/usr.bin/binutils/update.sh
parenta8479404200bfc50e062e281337d95b91d6a9a75 (diff)
downloadFreeBSD-src-0ba671bfd1becf7cf771dfcca1a9cbd9017460bf.zip
FreeBSD-src-0ba671bfd1becf7cf771dfcca1a9cbd9017460bf.tar.gz
Restructure the binutils hierarchy somewhat in order to better
support building it for variant architectures. It was already becoming clear that the former structure was too rigid and didn't scale well. The usual sort of makefile magic arranges to .include an architecture specific makefile "Makefile.${MACHINE_ARCH}" in each directory where it exists. Also, sources will be found in each subdirectory "${MACHINE_ARCH}" that exists. This is all taken care of automatically by the top level "Makefile.inc0". This all seems to work right for the i386 now. I have also converted those alpha pieces already present to the new schema as best I could. Also: change the BINDIR on the i386 to /usr/libexec/elf for "ar" and "ranlib". They are not object format independent enough to put into /usr/bin.
Diffstat (limited to 'gnu/usr.bin/binutils/update.sh')
-rwxr-xr-xgnu/usr.bin/binutils/update.sh25
1 files changed, 9 insertions, 16 deletions
diff --git a/gnu/usr.bin/binutils/update.sh b/gnu/usr.bin/binutils/update.sh
index aaa8117..b9414a1 100755
--- a/gnu/usr.bin/binutils/update.sh
+++ b/gnu/usr.bin/binutils/update.sh
@@ -11,33 +11,26 @@ gnudir=$(pwd)
contribdir="${gnudir}/../../../contrib/binutils"
rm -rf build
-mkdir -p build/i386-aout
-(cd build/i386-aout
- ${contribdir}/configure i386-unknown-freebsd || exit
- (cd gas
- echo "Updating i386-aout/as"
- make config.h || exit
- cp config.h ${gnudir}/i386-aout/as/config.h || exit
- )
- )
+mkdir build
-mkdir -p build/i386-elf
-(cd build/i386-elf
+(cd build
${contribdir}/configure i386-unknown-freebsdelf || exit
(cd gas
- echo "Updating i386-elf/as"
+ echo "Updating as"
make config.h || exit
- cp config.h ${gnudir}/i386-elf/as/config.h || exit
+ cp config.h ${gnudir}/as/i386/config.h || exit
)
(cd ld
- echo "Updating i386-elf/ld"
+ echo "Updating ld"
make config.h ldemul-list.h || exit
- cp config.h ldemul-list.h ${gnudir}/i386-elf/ld || exit
+ cp config.h ${gnudir}/ld || exit
+ cp ldemul-list.h ${gnudir}/ld/i386 || exit
)
(cd bfd
echo "Updating libbfd"
make bfd.h config.h || exit
- cp bfd.h config.h ${gnudir}/libbfd || exit
+ cp bfd.h ${gnudir}/libbfd || exit
+ cp config.h ${gnudir}/libbfd/i386 || exit
)
(cd binutils
echo "Updating libbinutils"
OpenPOWER on IntegriCloud